> ## Documentation Index
> Fetch the complete documentation index at: https://docs.liquidindex.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Customer

> Returns semantically similar content based on the input query



## OpenAPI

````yaml POST /customer/create
openapi: 3.1.0
info:
  title: LiquidIndex API
  description: >-
    LiquidIndex API provides semantic search and document processing
    capabilities. The API enables users to upload documents and perform semantic
    queries across their content.
  version: 1.0.0
servers:
  - url: https://api.liquidindex.dev/
security:
  - bearerAuth: []
paths:
  /customer/create:
    post:
      summary: Query a project
      description: Returns semantically similar content based on the input query
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - project_id
                - name
              properties:
                project_id:
                  type: string
                  description: The Project ID to query from
                name:
                  type: string
                  description: The name you'd like to refer to the customer as
      responses:
        '200':
          description: Successful query response
          content:
            application/json:
              schema:
                type: object
                required:
                  - customer_id
                properties:
                  customer_id:
                    type: string
                    description: The Customer ID to query from
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Error message describing what went wrong
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````